Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class FieldDef

    java.lang.Object
      com.sun.mdm.index.parser.FieldDef

public class FieldDef
extends java.lang.Object

Field Summary
`static java.lang.String` | `BLOBFIELD` blob
`static java.lang.String` | `BOOLEANFIELD` boolean
`static java.lang.String` | `BYTEFIELD` byte
`static java.lang.String` | `CHARFIELD` byte
`static java.lang.String` | `DATEFIELD` date
`static java.lang.String` | `FLOATFIELD` float
`static java.lang.String` | `INTFIELD` int
`static java.lang.String` | `LONGFIELD` long
`static java.lang.String` | `STRINGFIELD` string

Constructor Summary
`FieldDef()` default constructor
`FieldDef(java.lang.String fieldName, java.lang.String fieldType, int fieldSize, boolean r, boolean k, boolean v)` create a new instance of FieldDef object
`FieldDef(java.lang.String fieldName, java.lang.String fieldType, java.lang.String strMatchType, boolean b, boolean k, boolean u, boolean r, int fieldSize, java.lang.String pattern, java.lang.String codeModule, java.lang.String userCode, java.lang.String constrainedBy)` create a new instance of FieldDef object

Method Summary
`java.lang.String` | `getCodeModule()`
`java.lang.String` | `getConstraintBy()`
`java.lang.String` | `getFieldName()`
`int` | `getFieldSize()`
`java.lang.String` | `getFieldType()`
`java.lang.String` | `getMatchType()`
`java.lang.String` | `getMaximumValue()`
`java.lang.String` | `getMinimumValue()`
`java.lang.String` | `getPattern()`
`java.lang.String` | `getUserCode()`
`boolean` | `isBlockOn()`
`boolean` | `isKeyType()`
`boolean` | `isNullable()`
`boolean` | `isRequired()`
`boolean` | `isUpdateable()`
`boolean` | `isVisible()`
`void` | `parse(org.w3c.dom.Node node)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BLOBFIELD

    public static final java.lang.String BLOBFIELD

  blob

  See Also:
    Constant Field Values

### BOOLEANFIELD

    public static final java.lang.String BOOLEANFIELD

  boolean

  See Also:
    Constant Field Values

### BYTEFIELD

    public static final java.lang.String BYTEFIELD

  byte

  See Also:
    Constant Field Values

### CHARFIELD

    public static final java.lang.String CHARFIELD

  byte

  See Also:
    Constant Field Values

### DATEFIELD

    public static final java.lang.String DATEFIELD

  date

  See Also:
    Constant Field Values

### FLOATFIELD

    public static final java.lang.String FLOATFIELD

  float

  See Also:
    Constant Field Values

### INTFIELD

    public static final java.lang.String INTFIELD

  int

  See Also:
    Constant Field Values

### LONGFIELD

    public static final java.lang.String LONGFIELD

  long

  See Also:
    Constant Field Values

### STRINGFIELD

    public static final java.lang.String STRINGFIELD

  string

  See Also:
    Constant Field Values

Constructor Detail

### FieldDef

    public FieldDef()

  default constructor

### FieldDef

    public FieldDef(java.lang.String fieldName,
                    java.lang.String fieldType,
                    int fieldSize,
                    boolean r,
                    boolean k,
                    boolean v)

  create a new instance of FieldDef object

  Parameters:
    `fieldName` - field name
    `fieldType` - field type
    `fieldSize` - field size
    `r` - required
    `k` - key type
    `v` - visible

### FieldDef

    public FieldDef(java.lang.String fieldName,
                    java.lang.String fieldType,
                    java.lang.String strMatchType,
                    boolean b,
                    boolean k,
                    boolean u,
                    boolean r,
                    int fieldSize,
                    java.lang.String pattern,
                    java.lang.String codeModule,
                    java.lang.String userCode,
                    java.lang.String constrainedBy)

  create a new instance of FieldDef object

  Parameters:
    `fieldName` - field name
    `fieldType` - field type
    `k` - key type
    `u` - visible
    `r` - required
    `fieldSize` - field size
    `pattern` -
    `userCode` -
    `constrainedBy` -

Method Detail

### getCodeModule

    public java.lang.String getCodeModule()

  Returns:
    String ret String

### getConstraintBy

    public java.lang.String getConstraintBy()

  Returns:
    String ret String

### getFieldName

    public java.lang.String getFieldName()

  Returns:
    String ret string

### getFieldSize

    public int getFieldSize()

  Returns:
    int ret int

### getFieldType

    public java.lang.String getFieldType()

  Returns:
    String ret string

### getMatchType

    public java.lang.String getMatchType()

  Returns:
    String ret String

### getMaximumValue

    public java.lang.String getMaximumValue()

  Returns:
    String ret String

### getMinimumValue

    public java.lang.String getMinimumValue()

  Returns:
    String ret String

### getPattern

    public java.lang.String getPattern()

  Returns:
    String ret String

### getUserCode

    public java.lang.String getUserCode()

  Returns:
    String ret String

### isBlockOn

    public boolean isBlockOn()

  Returns:
    boolean ret boolean

### isKeyType

    public boolean isKeyType()

  Returns:
    boolean ret boolean

### isNullable

    public boolean isNullable()

  Returns:
    boolean ret boolean

### isRequired

    public boolean isRequired()

  Returns:
    boolean ret boolean

### isUpdateable

    public boolean isUpdateable()

  Returns:
    boolean ret boolean

### isVisible

    public boolean isVisible()

  Returns:
    boolean ret boolean

### parse

    public void parse(org.w3c.dom.Node node)

  Parameters:
    `node` - Node

### toString

    public java.lang.String toString()

  Returns:
    String ret string

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.